Redmine - Patch #41023

Set default age parameter for User.prune to 30 days
2024-07-16 04:09 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Code cleanup/refactoring Estimated time: 0.00 hour
Target version: 6.0.0

Description

User.prune is a method to delete users who have not completed registration for a long time.

The method accepts an age parameter, but the parameter currently does not have a default value. Without a default value, calls to
prune could result in unexpected failures if the age argument is inadvertently omitted.

The following patch sets a default value of 30 days for the age parameter in the User.prune method. The value is the same as the
default value of the redmine:users:prune rake task (source:tags/5.1.3/lib/tasks/redmine.rake#L 46).

diff --git a/app/models/user.rb b/app/models/user.rb
index 2faeda7ca..eel303d41 100644
-—— a/app/models/user.rb
+++ b/app/models/user.rb
@@ -887,7 +887,7 @@ class User < Principal
project_ids.map(&:to_1i)
end

- def self.prune(age)
+ def self.prune(age=30.days)
User.where ("created_on < ? AND status = ?", Time.now - age, STATUS_REGISTERED) .destroy_all
end

Related issues:
Related to Redmine - Feature #30998: Add an rake task to prune registered use... Closed

Associated revisions

Revision 22938 - 2024-07-19 10:26 - Go MAEDA
Set default age parameter for User.prune method to 30 days (#41023).

History

#1 - 2024-07-16 05:55 - Go MAEDA

- Related to Feature #30998: Add an rake task to prune registered users after a certain number of days added

#2 - 2024-07-19 10:26 - Go MAEDA
- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch in r22938.
